Printing task stop earlier than it should. Cannon MP280 series, problem with CUPS

Asked by 罗晨星 on 2012-08-07

I have just updated the package of cups (with its depended ones) on Aug. 4th on Ubuntu by auto update, but it happened to appear some bugs:

When I am printing some files (from either of the softwares: Evince or Libre Office Writer), but the printer stop printing a half page before it should. Such as:

If I print a file with 1 page, I will get a page with only have half of the content.
If I print a multi-page file, I will get the page I should, but with the last page, there is only half content it should have.

I updated like this:

cups_1.5.2-0ubuntu2_i386 -> cups_1.5.3-0ubuntu2_i386

Along with, I also updated Ghost Script, but as I double-checked it, it not seem to be GS's fault.

I do this:

I try to install the following, to roll back to the older version:

cups_1.5.2-9ubuntu1_i386.deb
cups-bsd_1.5.2-9ubuntu1_i386.deb
cups-client_1.5.2-9ubuntu1_i386.deb
cups-common_1.5.2-9ubuntu1_all.deb
cups-ppdc_1.5.2-9ubuntu1_i386.deb
libcups2_1.5.2-9ubuntu1_i386.deb
libcupscgi1_1.5.2-9ubuntu1_i386.deb
libcupsdriver1_1.5.2-9ubuntu1_i386.deb
libcupsimage2_1.5.2-9ubuntu1_i386.deb
libcupsmime1_1.5.2-9ubuntu1_i386.deb
libcupsppdc1_1.5.2-9ubuntu1_i386.deb

ghostscript_9.05~dfsg-0ubuntu4_i386.deb
ghostscript-cups_9.05~dfsg-0ubuntu4_i386.deb
ghostscript-x_9.05~dfsg-0ubuntu4_i386.deb
libgs9_9.05~dfsg-0ubuntu4_i386.deb
libgs9-common_9.05~dfsg-0ubuntu4_all.deb

and I only failed with cups_1.5.2-9ubuntu1_i386.deb. While with others installed properly, I can still print, but have the problem still.

Then, I updated back to:

cups_1.5.3-0ubuntu2_i386.deb
cups-bsd_1.5.3-0ubuntu2_i386.deb
cups-client_1.5.3-0ubuntu2_i386.deb
cups-common_1.5.3-0ubuntu2_all.deb
cups-ppdc_1.5.3-0ubuntu2_i386.deb
libcups2_1.5.3-0ubuntu2_i386.deb
libcupscgi1_1.5.3-0ubuntu2_i386.deb
libcupsdriver1_1.5.3-0ubuntu2_i386.deb
libcupsimage2_1.5.3-0ubuntu2_i386.deb
libcupsmime1_1.5.3-0ubuntu2_i386.deb
libcupsppdc1_1.5.3-0ubuntu2_i386.deb

ghostscript_9.05~dfsg-0ubuntu4.1_i386.deb
ghostscript-cups_9.05~dfsg-0ubuntu4.1_i386.deb
ghostscript-x_9.05~dfsg-0ubuntu4.1_i386.deb
libgs9_9.05~dfsg-0ubuntu4.1_i386.deb
libgs9-common_9.05~dfsg-0ubuntu4.1_all.deb

The problem exists still.

My printer is Cannon MP288, in the driver, recognized as MP280 series, and I am quite sure the problem is not on the printer and the driver. And before the update, everything went just fine. I didn't even update the printer driver. So I think, there might be something wrong with this newest version of CUPS. I also attached the updating list with this e-mail.

p.s.
My operating system is:Ubuntu 12.04 precise, updated.
With GNOME Shell.
Kernel: Linux version 3.2.0-27-generic-pae (buildd@akateko) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #43-Ubuntu SMP Fri Jul 6 15:06:05 UTC 2012

So what to do now?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu cups Edit question
Assignee:
No assignee Edit question
Solved by:
罗晨星
Solved:
2012-08-10
Last query:
2012-08-10
Last reply:
2012-08-07

Did you grab the driver from he Canon site?

罗晨星 (chenxing-luo) said : #2

Yes. And I've tried both official driver and the driver the OS itself contains.

Try removing the printer and powering it off and rebooting, then run:

firefox http://localhost:631

And setup the printer there. I have seen people have greater success using the cups web ui

罗晨星 (chenxing-luo) said : #4

I didn't print for a few days. But today when I use it again, it turned out to be alright. I didn't even need to come up with a solution.